import request from '@/utils/request'

// 查询直播触发事件配置列表
export function listLiveEventConf(query) {
  return request({
    url: '/live/liveEventConf/list',
    method: 'get',
    params: query
  })
}

// 查询直播触发事件配置详细
export function getLiveEventConf(eventId) {
  return request({
    url: '/live/liveEventConf/' + eventId,
    method: 'get'
  })
}

// 新增直播触发事件配置
export function addLiveEventConf(data) {
  return request({
    url: '/live/liveEventConf',
    method: 'post',
    data: data
  })
}

// 修改直播触发事件配置
export function updateLiveEventConf(data) {
  return request({
    url: '/live/liveEventConf',
    method: 'put',
    data: data
  })
}

// 删除直播触发事件配置
export function delLiveEventConf(eventId) {
  return request({
    url: '/live/liveEventConf/' + eventId,
    method: 'delete'
  })
}

// 导出直播触发事件配置
export function exportLiveEventConf(query) {
  return request({
    url: '/live/liveEventConf/export',
    method: 'get',
    params: query
  })
}
